# Class TSparkParameterValueArg

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TSparkParameterValueArg

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkParameterValueArg>`, `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TSparkParameterValueArg extends Object implements org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>, Serializable, Cloneable, Comparable<TSparkParameterValueArg>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TSparkParameterValueArg._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`List<TSparkParameterValueArg>`
`arguments`
`static final Map<TSparkParameterValueArg._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`String`
`type`
`String`
`value`

## Constructor Summary

Constructors
Constructor
Description
`TSparkParameterValueArg()`
`TSparkParameterValueArg(TSparkParameterValueArg other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`addToArguments(TSparkParameterValueArg elem)`
`void`
`clear()`
`int`
`compareTo(TSparkParameterValueArg other)`
`TSparkParameterValueArg`
`deepCopy()`
`boolean`
`equals(TSparkParameterValueArg that)`
`boolean`
`equals(Object that)`
`TSparkParameterValueArg._Fields`
`fieldForId(int fieldId)`
`List<TSparkParameterValueArg>`
`getArguments()`
`Iterator<TSparkParameterValueArg>`
`getArgumentsIterator()`
`int`
`getArgumentsSize()`
`Object`
`getFieldValue(TSparkParameterValueArg._Fields field)`
`String`
`getType()`
`String`
`getValue()`
`int`
`hashCode()`
`boolean`
`isSet(TSparkParameterValueArg._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetArguments()`
Returns true if field arguments is set (has been assigned a value) and false otherwise
`boolean`
`isSetType()`
Returns true if field type is set (has been assigned a value) and false otherwise
`boolean`
`isSetValue()`
Returns true if field value is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TSparkParameterValueArg`
`setArguments(List<TSparkParameterValueArg> arguments)`
`void`
`setArgumentsIsSet(boolean value)`
`void`
`setFieldValue(TSparkParameterValueArg._Fields field, Object value)`
`TSparkParameterValueArg`
`setType(String type)`
`void`
`setTypeIsSet(boolean value)`
`TSparkParameterValueArg`
`setValue(String value)`
`void`
`setValueIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetArguments()`
`void`
`unsetType()`
`void`
`unsetValue()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public String type

### value

public String value

### arguments

public List<TSparkParameterValueArg> arguments

### metaDataMap

public static final Map<TSparkParameterValueArg._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TSparkParameterValueArg

public TSparkParameterValueArg()

### TSparkParameterValueArg

public TSparkParameterValueArg(TSparkParameterValueArg other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TSparkParameterValueArg deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`

### getType

public String getType()

### setType

public TSparkParameterValueArg setType(String type)

### unsetType

public void unsetType()

### isSetType

public boolean isSetType()
Returns true if field type is set (has been assigned a value) and false otherwise

### setTypeIsSet

public void setTypeIsSet(boolean value)

### getValue

public String getValue()

### setValue

public TSparkParameterValueArg setValue(String value)

### unsetValue

public void unsetValue()

### isSetValue

public boolean isSetValue()
Returns true if field value is set (has been assigned a value) and false otherwise

### setValueIsSet

public void setValueIsSet(boolean value)

### getArgumentsSize

public int getArgumentsSize()

### getArgumentsIterator

public Iterator<TSparkParameterValueArg> getArgumentsIterator()

### addToArguments

public void addToArguments(TSparkParameterValueArg elem)

### getArguments

public List<TSparkParameterValueArg> getArguments()

### setArguments

public TSparkParameterValueArg setArguments(List<TSparkParameterValueArg> arguments)

### unsetArguments

public void unsetArguments()

### isSetArguments

public boolean isSetArguments()
Returns true if field arguments is set (has been assigned a value) and false otherwise

### setArgumentsIsSet

public void setArgumentsIsSet(boolean value)

### setFieldValue

public void setFieldValue(TSparkParameterValueArg._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`

### getFieldValue

public Object getFieldValue(TSparkParameterValueArg._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`

### isSet

public boolean isSet(TSparkParameterValueArg._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TSparkParameterValueArg that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TSparkParameterValueArg other)

Specified by:
  `compareTo` in interface `Comparable<TSparkParameterValueArg>`

### fieldForId

public TSparkParameterValueArg._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkParameterValueArg,TSparkParameterValueArg._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`